Indexes   

HybridShapePointCoord (Object)

Point defined by coordinates.
Role: To access data of the point feature created with its cartesian coordinates.
See also:
Length
See also:
Reference
See also:
HybridShapeFactory

Property Index

PtRef
Returns or Sets the reference point for PointCoord feature.
RefAxisSystem
Returns or Sets the reference Axis System for PointCoord feature.
X
Returns X coordinate of the point.
Y
Returns Y coordinate of the point.
Z
Returns Z coordinate of the point.

Properties


o Property PtRef() As
Returns or Sets the reference point for PointCoord feature.
This data is not mandatory, if element is null, the origin point is taken.
When an element is given, X, Y and Z are measured starting from this point.
Sub-element(s) supported (see
Boundary object): Vertex.
Example
:
This example retrieves in oPtRef the reference point for PointCoord feature.
 Dim oPtRef As CATIAReference
 Set oPtRef  = PointCoord.PtRef
 
o Property RefAxisSystem() As
Returns or Sets the reference Axis System for PointCoord feature.
This data is not mandatory, if element is null, the absolute axis system is taken.
When an element is given, X, Y and Z are considered in this Axis system.
If reference point is not specified, X,Y and Z are measured from origin of this axis system. *
Example
:
This example retrieves in oRefAxis the reference Axis System for PointCoord feature.
 Dim oRefAxis As CATIAReference
 Set oRefAxis  = PointCoord.RefAxisSystem
 
o Property X() As (Read Only)
Returns X coordinate of the point.
Example
:
This example retrieves in oX the X coordinate for the PointCoord hybrid shape feature.
 Dim oX As CATIALength
 Set oX = PointCoord.X
 
o Property Y() As (Read Only)
Returns Y coordinate of the point.
Example
:
This example retrieves in oY the Y coordinate for the PointCoord hybrid shape feature.
 Dim oY As CATIALength
 Set oY = PointCoord.Y
 
o Property Z() As (Read Only)
Returns Z coordinate of the point.
Example
:
This example retrieves in oZ the Z coordinate for the PointCoord hybrid shape feature.
 Dim oZ As CATIALength
 Set oZ = PointCoord.Z
 

Copyright © 2006, Dassault Systèmes. All rights reserved.